org.yaml.snakeyaml.constructor

## Class ConstructorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.yaml.snakeyaml.error.YAMLException
        - - org.yaml.snakeyaml.error.MarkedYAMLException
          - - org.yaml.snakeyaml.constructor.ConstructorException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DuplicateKeyException

    public class ConstructorException
    extends MarkedYAMLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `ConstructorException(String context, Mark contextMark, String problem, Mark problemMark)`
`protected` `ConstructorException(String context, Mark contextMark, String problem, Mark problemMark, Throwable cause)`

### Method Summary

### Methods inherited from class org.yaml.snakeyaml.error.MarkedYAMLException

`getContext, getContextMark, getMessage, getProblem, getProblemMark, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConstructorException

    protected ConstructorException(String context,
                        Mark contextMark,
                        String problem,
                        Mark problemMark,
                        Throwable cause)

#### ConstructorException

    protected ConstructorException(String context,
                        Mark contextMark,
                        String problem,
                        Mark problemMark)